STOFFPosition Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
STOFFPosition Class Reference

Class to define the position of an object (textbox, picture, ..) in the document. More...

`#include <STOFFPosition.hxx>`

## Public Types
enum | AnchorTo { Char, CharBaseLine, Frame, Paragraph, Page, Unknown }
| a list of enum used to defined the anchor More...

## Public Member Functions
| STOFFPosition ()
| constructor More...
virtual | ~STOFFPosition ()
| destructor More...
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList More...
void | setOrigin (STOFFVec2f const &origin, librevenge::RVNGUnit unit)
| utility function to set a origin More...
void | setSize (STOFFVec2f const &size, librevenge::RVNGUnit unit)
| utility function to set a size More...
bool | operator== (STOFFPosition const &f) const
| basic operator== More...
bool | operator!= (STOFFPosition const &f) const
| basic operator!= More...

## Public Attributes
AnchorTo | m_anchorTo
| anchor position More...
librevenge::RVNGPropertyList | m_propertyList
| the property list More...

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFPosition const &pos)
| operator<< More...

## Detailed Description

Class to define the position of an object (textbox, picture, ..) in the document.

Stores the page, object position, object size, anchor, wrapping, ...

## Member Enumeration Documentation

enum STOFFPosition::AnchorTo

a list of enum used to defined the anchor

Enumerator
Char |
CharBaseLine |
Frame |
Paragraph |
Page |
Unknown |

## Constructor & Destructor Documentation

STOFFPosition::STOFFPosition | ( |  | ) |
| inline

constructor

virtual STOFFPosition::~STOFFPosition | ( |  | ) |
| inlinevirtual

destructor

## Member Function Documentation

void STOFFPosition::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const
| inline

add to the propList

Referenced by STOFFGraphicListener::_handleFrameParameters().

bool STOFFPosition::operator!= | ( | STOFFPosition const & | f | ) | const
| inline

basic operator!=

bool STOFFPosition::operator== | ( | STOFFPosition const & | f | ) | const
| inline

basic operator==

Referenced by operator!=().

void STOFFPosition::setOrigin | ( | STOFFVec2f const & | origin,
|  | librevenge::RVNGUnit | unit
| ) |  |
| inline

utility function to set a origin

Referenced by STOFFGraphicListener::openFooter(), STOFFGraphicListener::openHeader(), STOFFGraphicListener::openTable(), SDGParser::parse(), StarObjectSmallGraphicInternal::SdrGraphicGraph::send(), StarObjectSmallGraphicInternal::SdrGraphicOLE::send(), and StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone().

void STOFFPosition::setSize | ( | STOFFVec2f const & | size,
|  | librevenge::RVNGUnit | unit
| ) |  |
| inline

utility function to set a size

Referenced by STOFFGraphicListener::openFooter(), STOFFGraphicListener::openHeader(), STOFFGraphicListener::openTable(), SDGParser::parse(), STOFFOLEParser::readContents(), STOFFOLEParser::readCONTENTS(), STOFFOLEParser::readOlePres(), StarObjectSmallGraphicInternal::SdrGraphicGraph::send(), StarObjectSmallGraphicInternal::SdrGraphicOLE::send(), and StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | STOFFPosition const & | pos
| ) |  |
| friend

operator<<

## Member Data Documentation

AnchorTo STOFFPosition::m_anchorTo

anchor position

Referenced by STOFFGraphicListener::openFooter(), STOFFSpreadsheetListener::openFrame(), STOFFGraphicListener::openHeader(), STOFFGraphicListener::openTable(), operator==(), STOFFOLEParser::readContents(), STOFFOLEParser::readCONTENTS(), and STOFFOLEParser::readOlePres().

librevenge::RVNGPropertyList STOFFPosition::m_propertyList

the property list

Referenced by addTo(), operator==(), SDGParser::parse(), StarObjectSmallGraphicInternal::SdrGraphicGraph::send(), StarObjectSmallGraphicInternal::SdrGraphicOLE::send(), StarObjectSmallGraphicInternal::SdrGraphicText::sendTextZone(), setOrigin(), and setSize().

The documentation for this class was generated from the following file:

- STOFFPosition.hxx